Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::D3D9HLSLProgram::CmdTarget Class Reference

Command object for setting target assembler. More...

`#include <OgreD3D9HLSLProgram.h>`

Inheritance diagram for Ogre::D3D9HLSLProgram::CmdTarget:

[legend]
List of all members.

## Public Methods

String | doGet (const void *target) const
void | doSet (void *target, const String &val)

## Detailed Description

Command object for setting target assembler.

Definition at line 51 of file OgreD3D9HLSLProgram.h.

## Member Function Documentation

String Ogre::D3D9HLSLProgram::CmdTarget::doGet | ( | const void * | target | ) | const`[virtual]`

| Implements Ogre::ParamCommand. Definition at line 233 of file OgreD3D9HLSLProgram.cpp. References Ogre::String.

void Ogre::D3D9HLSLProgram::CmdTarget::doSet | ( | void * | target,
|  | const String & | val
| ) | `[virtual]`

| Implements Ogre::ParamCommand. Definition at line 237 of file OgreD3D9HLSLProgram.cpp. References Ogre::String.

The documentation for this class was generated from the following files:

- OgreD3D9HLSLProgram.h
- OgreD3D9HLSLProgram.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:26 2004